[arch-commits] Commit in rrdtool/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Nov 7 22:25:05 EST 2009


    Date: Saturday, November 7, 2009 @ 22:25:05
  Author: eric
Revision: 58448

Merged revisions 58447 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/rrdtool/trunk

........
  r58447 | eric | 2009-11-07 22:24:46 -0500 (Sat, 07 Nov 2009) | 2 lines
  
  upgpkg: rrdtool 1.4.1-1
      Upstream update, Added lua binding, Fixed optdepends array syntax (close FS#16053), Disabled rpath
........

Modified:
  rrdtool/repos/extra-x86_64/	(properties)
  rrdtool/repos/extra-x86_64/ChangeLog
  rrdtool/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    8 ++++++++
 PKGBUILD  |   28 ++++++++++++++++------------
 2 files changed, 24 insertions(+), 12 deletions(-)


Property changes on: rrdtool/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /rrdtool/trunk:1-48451
   + /rrdtool/trunk:1-58447

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2009-11-08 03:24:46 UTC (rev 58447)
+++ extra-x86_64/ChangeLog	2009-11-08 03:25:05 UTC (rev 58448)
@@ -1,3 +1,11 @@
+2009-11-07  Eric Belanger  <eric at archlinux.org>
+
+	* rrdtool 1.4.1-1
+	* Upstream update
+	* Added lua binding
+	* Fixed optdepends array syntax (close FS#16053)
+	* Disabled rpath
+
 2009-05-21  Eric Belanger  <eric at archlinux.org>
 
 	* rrdtool 1.3.8-1

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-08 03:24:46 UTC (rev 58447)
+++ extra-x86_64/PKGBUILD	2009-11-08 03:25:05 UTC (rev 58448)
@@ -3,27 +3,31 @@
 # Contributor: Tom K <tom at archlinux.org>
 
 pkgname=rrdtool
-pkgver=1.3.8
-pkgrel=2
+pkgver=1.4.1
+pkgrel=1
 pkgdesc="Data logging and graphing application"
 arch=('i686' 'x86_64')
 url="http://www.rrdtool.org"
 license=('GPL')
 depends=('libart-lgpl' 'libpng' 'freetype2' 'libxml2' 'pango')
-makedepends=('intltool' 'ruby>=1.9' 'python' 'tcl')
-optdepends=('tcl, python and/or ruby: to use corresponding binding')
+makedepends=('intltool' 'ruby>=1.9' 'python' 'tcl' 'lua')
+optdepends=('tcl: to use corresponding binding' \
+            'python: to use corresponding binding' \
+            'ruby: to use corresponding binding' \
+            'lua: to use corresponding binding')
 options=('!libtool' '!emptydirs' '!makeflags')
 source=(http://oss.oetiker.ch/rrdtool/pub/rrdtool-${pkgver}.tar.gz)
-md5sums=('0de79494ab969cebfbfae3d237de18fe')
-sha1sums=('1fe71706442ddd78ec8cdbaadd8ce16bb1326b05')
+md5sums=('07dd73513e309347ab4e0300dd28c6d9')
+sha1sums=('62d39ef408acd008e86b1b5ce2c7fa9894a1459b')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  ./configure --prefix=/usr --enable-perl-site-install \
-    --with-perl-options='INSTALLDIRS=vendor' --enable-ruby-site-install || return 1
+  ./configure --prefix=/usr --disable-rpath --enable-perl \
+    --enable-perl-site-install --with-perl-options='INSTALLDIRS=vendor' \
+    --enable-ruby --enable-ruby-site-install --enable-python \
+    --enable-lua --enable-lua-site-install \
+    --enable-tcl --enable-tcl-site || return 1
   make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
-
-  find ${pkgdir} -name '.packlist' -delete
-  find ${pkgdir} -name 'perllocal.pod' -delete
+  make DESTDIR="${pkgdir}" LIBRUBYARG_SHARED="-Wl,-L/usr/lib -lruby" \
+    LIBPATH="-L. -L/usr/lib -L../../src/.libs" install || return 1
 }



More information about the arch-commits mailing list